Rygel.WritableContainer.remove_container – librygel-server Reference Manual

# remove_container

## Description:

public abstract async void remove_container (`string` id, `Cancellable`? cancellable) throws `Error`

Remove a container directly under this container that has the ID @id.

The caller should not first remove the file(s) pointed to by the item's URI(s). That is handled by the container class.

This method corresponds to the UPnP ContentDirectory's DestroyObject action.

## Parameters:

id | The ID of the item to remove from this container
cancellable | optional cancellable for this operation